# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-setuptools_git
%global mod_name setuptools_git
%global pypi_name setuptools-git

Name:           python-module-setuptools_git
Version:        0.4.2
Release:        alt1_3
Summary:        Setuptools revision control system plugin for Git

Group:          Development/Python
License:        Public Domain
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info

%description
This is a plugin for setup tools that enables Git integration.  Once
installed, Setuptools can be told to include in a module distribution
all the files tracked by git.  This is an alternative to explicit
inclusion specifications with MANIFEST.in.

%prep
%setup -q -n %{pypi_name}-%{version}
# rpmlint E: non-executable-script
sed -i '/^#!\/usr\/bin\/env python/d' setuptools_git.py

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%{python_sitelibdir_noarch}/%{mod_name}.*
%{python_sitelibdir_noarch}/*.egg-info/

%doc PKG-INFO


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1_2
- initial fc import

